//*****************************************************************************
//*
//*		
//*		memwrite.h
//*
//*
//*****************************************************************************
#ifndef 	__MEMWRITE_H__
#define 	__MEMWRITE_H__

void writeProgramFlash(void);
void saveCutRows(int from, int to);
void programming(void);	


extern int progflag;			// flags: sections to program 

// mask bits for progflag:
#define PRG_ANY 0x01			// anything to program
#define PRG_ERA 0x08			// erase device
#define PRG_PRG 0x10			// program memory
#define PRG_UID 0x20			// user IDs memory
#define PRG_CFG 0x40			// config words
#define PRG_DAT 0x80			// data EEPROM memory

#endif 	


